<?php
/*    
    Copyright (C) 2012 http://software-talk.org/ (developer@software-talk.org)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
  Options for function_collection (have nothing to do with the language tagger options).
 */


/**
  registers the settings used by this function collection.
 */
function register_function_collection_settings() {
    register_setting('lang_tagger_option-group', 'option_func_coll_disable_selfping');
    register_setting('lang_tagger_option-group', 'option_func_coll_disable_version_tag');
    register_setting('lang_tagger_option-group', 'option_func_coll_disable_login_error');
    register_setting('lang_tagger_option-group', 'option_func_coll_remove_comment_clutter');
    register_setting('lang_tagger_option-group', 'option_func_coll_remove_jump');
    register_setting('lang_tagger_option-group', 'option_func_coll_javascript_to_footer');
    register_setting('lang_tagger_option-group', 'option_func_coll_remove_feed_header');
    register_setting('lang_tagger_option-group', 'option_func_coll_remove_rel');
    register_setting('lang_tagger_option-group', 'option_func_coll_remove_comment_reply');
    register_setting('lang_tagger_option-group', 'option_func_coll_replace_cat_rel');
    register_setting('lang_tagger_option-group', 'option_func_coll_remove_wpautop');
    register_setting('lang_tagger_option-group', 'option_func_coll_excerpt_anchor');
    register_setting('lang_tagger_option-group', 'option_func_coll_add_shortcodes');
    register_setting('lang_tagger_option-group', 'option_func_coll_remove_cat_home');
    register_setting('lang_tagger_option-group', 'option_func_coll_remove_cat_feed');
    register_setting('lang_tagger_option-group', 'option_func_coll_exclude_cat');
    register_setting('lang_tagger_option-group', 'option_func_coll_display_num_queries');
}

/**
  displays the options.
 * // TODO at some point this should be cleaned up...
 */
function display_function_collection_settings() {
    ?>
    <br>
    <hr width=85%>
    <br>
    <h3>Additional (unrealated) options/functions</h3>
    <ul>
        <li><b>Disable self ping</b>: disables those annoying pings you get when linking  to one of your own blog posts.</li>
        <li><b>remove worpress version meta tag</b>: it is nobodys buisness what wordpress version you are running, so you might as well remove this tag.
            Others will still be able to identify the version in a lot of different ways, but at least it's harder for them now.</li>
        <li><b>remove error messages on login screen</b>: Error messages do not help a legitimat user.
            But they do help people trying to guess your data. So disable the error messages.</li>
        <li><b>remove comment clutter</b>: removes "You may use these html tags" clutter (useful because google thinks they are keywords, which they are not)</li>
        <li><b>remove jump from read more</b>: removes the jump when going to read more. also changes text to "Continue" (as google thinks reading is a keyword, which it is not). The jump is not actually removed completely. It will just replace the unnatural and annoying jump to #more with the better jump to #content.</li>
        <li><b>pagination</b>: adds page numbers at bottom instead of previous and next. For now, cannot fully be enabled here. Place the following code in your index.php of your theme, instead of something called content_nav or simmilar:
            <pre>pagination($additional_loop->max_num_pages);</pre></li>
        <li><b>move javascript to footer</b>: seemingly faster load for users. do not use with w3 total cache minify</li>
        <li><b>remove feed link in header</b>: removes <pre>link rel="alternate" type="application/rss+xml" href="http://www.example.com/feed/"</pre> from header</li>
        <li><b>remove generator meta:</b> removes the generator meta tag which exposes your wordpress version</li>
        <li><b>remove rel links:</b> remove rel=next, rel=prev, rel=EditURI and rel=wlwmanifest</li>
        <li><b>remove comment reply:</b> removes the inclusion of comment-reply.js (which is only used for threaded comments)</li>
        <li><b>replace cat rel:</b> 'rel=category tag' is invalid. replace it with the valid 'rel=tag'</li>
        <li><b>remove wpautop:</b> wordpress automatically inserts the html p tag in your posts. this disables that.</li>
        <li><b>prefix anchor links: </b> prefix anchor links in the excerpt with link to the post. that way an anchor link of a post will work on the home page.</li>
        <li><b>shortcodes:</b> adds two shortcodes: [mycloud] (tag AND category cloud) and [archives] (list archives)</li>
        <li><b>remove cat from home:</b> removes posts in the given category from the the homepage</li>
        <li><b>remove cat from feed:</b> removes posts in the given category from the the main feed (does not remove them from the feed for that category)</li>
        <li><b>display number of queries:</b> displays number of sql queries, time to render page and memory consumption for any user that can manage options.</li>
    </ul>

    <!-- remove jump -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove jump from read more:</th>
            <td>
                <input name="option_func_coll_remove_jump" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_remove_jump')); ?> />
            </td>
        </tr>
    </table>

    <!-- remove comment clutter -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove comment clutter:</th>
            <td>
                <input name="option_func_coll_remove_comment_clutter" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_remove_comment_clutter')); ?> />
            </td>
        </tr>
    </table>

    <!-- disable self ping -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">Disable self ping:</th>
            <td>
                <input name="option_func_coll_disable_selfping" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_disable_selfping')); ?> />
            </td>
        </tr>
    </table>

    <!-- remove wordpress version meta tag -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove worpress version meta tag:</th>
            <td>
                <input name="option_func_coll_disable_version_tag" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_disable_version_tag')); ?> />
            </td>
        </tr>
    </table>

    <!-- remove login error messages -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove error messages on login screen:</th>
            <td>
                <input name="option_func_coll_disable_login_error" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_disable_login_error')); ?> />
            </td>
        </tr>
    </table>

    <!-- js to footer -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">move javascript to footer:</th>
            <td>
                <input name="option_func_coll_javascript_to_footer" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_javascript_to_footer')); ?> />
            </td>
        </tr>
    </table>

    <!-- js to footer -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove feed link in header:</th>
            <td>
                <input name="option_func_coll_remove_feed_header" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_remove_feed_header')); ?> />
            </td>
        </tr>
    </table>

    <!-- remove rel -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove rel links:</th>
            <td>
                <input name="option_func_coll_remove_rel" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_remove_rel')); ?> />
            </td>
        </tr>
    </table>

    <!-- remove comment reply -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove comment reply:</th>
            <td>
                <input name="option_func_coll_remove_comment_reply" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_remove_comment_reply')); ?> />
            </td>
        </tr>
    </table>

    <!-- replace cat rel -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">replace cat rel:</th>
            <td>
                <input name="option_func_coll_replace_cat_rel" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_replace_cat_rel')); ?> />
            </td>
        </tr>
    </table>

    <!-- replace cat rel -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove wpautop:</th>
            <td>
                <input name="option_func_coll_remove_wpautop" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_remove_wpautop')); ?> />
            </td>
        </tr>
    </table>

    <!-- excerpt anchor -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">prefix anchor links:</th>
            <td>
                <input name="option_func_coll_excerpt_anchor" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_excerpt_anchor')); ?> />
            </td>
        </tr>
    </table>


    <!-- excerpt anchor -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">shortcodes:</th>
            <td>
                <input name="option_func_coll_add_shortcodes" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_add_shortcodes')); ?> />
            </td>
        </tr>
    </table>

    <!-- remove cat home -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove cat from home:</th>
            <td>
                <input name="option_func_coll_remove_cat_home" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_remove_cat_home')); ?> />
            </td>
            <td>
                <?php
                wp_dropdown_categories(array('hide_empty' => 0, 'name' => 'option_func_coll_exclude_cat', 'orderby' => 'name', 'selected' => get_option('option_func_coll_exclude_cat'), 'hierarchical' => true, 'show_option_all' => 'Select Category'));
                ?>
            </td>
        </tr>
    </table>

    <!-- remove cat feed -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">remove cat from feed:</th>
            <td>
                <input name="option_func_coll_remove_cat_feed" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_remove_cat_feed')); ?> />
            </td>
        </tr>
    </table>

    <!-- display number of queries -->
    <table class="form-table">
        <tr valign="top">
            <th scope="row">display number of queries:</th>
            <td>
                <input name="option_func_coll_display_num_queries" type="checkbox"
                       value="1" <?php checked('1', get_option('option_func_coll_display_num_queries')); ?> />
            </td>
        </tr>
    </table>
    <?php
}
?>
